﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Steema.TeeChart.Web;

public partial class ChartPage : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {        
        //Added Fastline Series to WebChart
        Steema.TeeChart.Styles.FastLine Series1 = new Steema.TeeChart.Styles.FastLine();
        WebChart1.Chart.Series.Add(Series1);
        Steema.TeeChart.Chart ch1 = WebChart1.Chart;

        ch1.AutoRepaint = false;

        //Added Random Values to Chart
        Random r = new Random();
        for (int i = 0; i < 500; i++)
        {
            ch1[0].Add(i, r.Next(800), System.Drawing.Color.Blue);
        }
        ch1.AutoRepaint = true;
        ch1.Invalidate();        
    }
}
